﻿using System;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;
using System.Web.UI.WebControls;
using System.Data;
using WebGrid;
using System.Text;

namespace Post5128
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
                Map1.CurrentExtent = new RectangleShape(-131.22, 55.05, -54.03, 16.91);
                Map1.MapUnit = GeographyUnit.DecimalDegree;
                Map1.MapTools.OverlaySwitcher.Enabled = true;

                ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer(MapPath("~/App_Data/cntry02.shp"));
                worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(255, 243, 239, 228), GeoColor.FromArgb(255, 218, 193, 163), 1);
                worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
               
                Map1.StaticOverlay.Layers.Add(worldLayer);
            }
        }
        protected void Map1_Click1(object sender, MapClickedEventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("x");
            dt.Columns.Add("y");

            DataRow row = dt.NewRow();
            row["x"] = e.Position.X.ToString();
            row["y"] = e.Position.Y.ToString();
            dt.Rows.Add(row);

            Grid1.Datasource = dt;
            Grid1.DataBind();
            Grid1.Visible = true;

            if (!Map1.Popups.Contains("samplePopup"))
            {
                CloudPopup samplePopup = new CloudPopup("samplePopup", e.Position, "Html", 400, 290);
                samplePopup.AutoSize = false;
                samplePopup.AutoPan = true;
                samplePopup.HasCloseButton = true;
                Map1.Popups.Add(samplePopup);
            }
            else
            {
                Map1.Popups["samplePopup"].IsVisible = true;
                Map1.Popups["samplePopup"].Position = e.Position;
            }
        }
    }
}
